//
//  BaseSheet.h
//  Terrascape
//
//  Created by Mendel Kucharzeck on 29.01.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

@class ANBaseSheet;
@class ANBaseSheetHeaderView;

@protocol ANBaseSheetDelegate

@optional
- (void) sheetWillClose:(ANBaseSheet*)sheet;

@end


@interface ANBaseSheet : NSObject
{
	NSWindow *sheet;
	NSArray *topLevelObjectsFromNib;
	NSWindow *windowForSheet;
    ANBaseSheetHeaderView *headerView;
	
	id delegate;
	
	//From Content Nib
	IBOutlet NSView *contentView;
}

- (id) init;

@property (assign) id delegate;

- (void) openAsSheetModalForWindow:(NSWindow*)window;
- (IBAction) close:(id)sender;

//For Subclassers
- (void) nibDidLoad;
- (void) sheetDidAppear;

- (NSString*) nibName;
- (NSString*) title;

- (BOOL) isResizable;

- (NSSize) minSheetSize;
- (NSSize) maxSheetSize;

@end
