//
//  LCFilterPreset+Presets.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 14.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCFilterPreset.h"

extern NSString *LCFilterPreset_UserFilterPresetsChangedNotification;

@interface LCFilterPreset (Presets)

+ (NSArray*) allFilterPresets; //Returns Array of Dicts with Filter Categories
+ (NSArray*) allFilterPresetsWithAllCategory:(BOOL)includeAllCategory;
+ (NSArray*) allFilterPresetsValidForObjects:(NSArray*)objects withAllCategory:(BOOL)includeAllCategory;

+ (NSURL*) urlForUserSavedFilterPresets;

+ (LCFilterPreset*) presetFromObjectFilters:(LCBaseObject*)object;
+ (void) saveFilterPresetToUserPresets:(LCFilterPreset*)preset;
+ (void) deleteUserPreset:(LCFilterPreset*)preset;

+ (void) saveFilterPresetToAppPresets:(LCFilterPreset*)preset;

+ (void) copyFilterPresetToPasteboardFromObject:(LCBaseObject*)object;
+ (void) applyFilterPresetFromPasteboardFromObject:(LCBaseObject*)object;
+ (BOOL) canApplyFiltersFromPasteboard;

@end
